# Uses of Interface
org.gitana.platform.client.application.Registration

Packages that use Registration
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.support

## Uses of Registration in org.gitana.platform.client.application

Classes in org.gitana.platform.client.application that implement Registration
Modifier and Type
Class
Description
`class`
`RegistrationImpl`
Methods in org.gitana.platform.client.application that return Registration
Modifier and Type
Method
Description
`Registration`
Application.`createRegistration(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registration`
Application.`createRegistration(String email)`
`Registration`
ApplicationImpl.`createRegistration(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registration`
ApplicationImpl.`createRegistration(String email)`
`Registration`
Application.`readRegistration(String registrationId)`
`Registration`
ApplicationImpl.`readRegistration(String registrationId)`
Methods in org.gitana.platform.client.application that return types with arguments of type Registration
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Registration>`
Application.`listRegistrations()`
`org.gitana.platform.support.ResultMap<Registration>`
Application.`listRegistrations(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registration>`
ApplicationImpl.`listRegistrations()`
`org.gitana.platform.support.ResultMap<Registration>`
ApplicationImpl.`listRegistrations(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registration>`
Application.`queryRegistrations(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Registration>`
Application.`queryRegistrations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Registration>`
ApplicationImpl.`queryRegistrations(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Registration>`
ApplicationImpl.`queryRegistrations(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.application with parameters of type Registration
Modifier and Type
Method
Description
`void`
Application.`deleteRegistration(Registration registration)`
`void`
ApplicationImpl.`deleteRegistration(Registration registration)`
`void`
Application.`updateRegistration(Registration registration)`
`void`
ApplicationImpl.`updateRegistration(Registration registration)`

## Uses of Registration in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Registration
Modifier and Type
Method
Description
`Registration`
ObjectFactory.`registration(Application application, Response response)`
`Registration`
ObjectFactoryImpl.`registration(Application application, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Registration
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Registration>`
ObjectFactory.`registrations(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Registration>`
ObjectFactoryImpl.`registrations(Application application, Response response)`